﻿@model IEnumerable<Domain.Entities.Lesson>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}



<div class="container-fluid">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="instructor-dashboard.html">Home</a></li>
        <li class="breadcrumb-item active">Courses</li>
    </ol>   
    <div class="media align-items-center">
        <div class="media-body">
            <h1 class="page-heading h2">Manage Courses</h1>
            <div class="col-sm-6">
                <form class="navbar-search-form d-none d-md-flex" method="get" action="@Url.Action("Index","Lesson")">
                    <input type="text" class="form-control input-sm" id="titre" placeholder="Search">
                    <button class="btn" type="submit"><i class="material-icons">search</i></button>
                </form>
            </div>
        </div>       
        <div class="media-right">
            @Html.ActionLink("+ New Course", "Create", "Lesson", new { @class = "btn btn-success" })                
        </div>
    </div>
        <div class="card-columns">
            @foreach (var item in Model)
            {
                <div class="card">
                    <div class="card-header bg-white">
                        <div class="media">
                            <div class="media-left media-middle">
                                <a href="@Url.Action("Details", "Lesson" , new { id = item.Id })">
                                    <img src="~/Content/images/NET.png" alt="Card image cap" width="100" class="rounded">
                                </a>
                            </div>
                            <div class="media-body media-middle">
                                <h4 class="card-title"><a href="@Url.Action("Details", "Lesson" , new { id = item.Id })">@Html.DisplayFor(modelItem => item.Titre)</a></h4>
                                <span class="badge badge-primary "></span> <span class="badge badge-light "></span>
                            </div>
                            <div class="media-right media-middle">
                                
                                <a href="@Url.Action("Edit", "Lesson" , new { id = item.Id })" class="btn btn-sm btn-primary"><i class="material-icons btn__icon--left">edit</i>Edit</a>

                                
                                <a href="@Url.Action("Delete", "Lesson" , new { id = item.Id })" class="btn btn-sm btn-primary"><i class="material-icons btn__icon--left">delete</i>Delete</a>
                                

                               
                                                         
                            </div>
                        </div>
                    </div>
                </div>
            }            
        </div>
        <nav class="text-center">
            <ul class="pagination pagination-sm">
                <li class="page-item disabled">
                    <a class="page-link" href="#" aria-label="Previous">
                        <span aria-hidden="true">&laquo;</span>
                        <span class="sr-only">Previous</span>
                    </a>
                </li>
                <li class="page-item active">
                    <a class="page-link" href="#">1 <span class="sr-only">(current)</span></a>
                </li>
                <li class="page-item"><a class="page-link" href="#">2</a></li>
                <li class="page-item"><a class="page-link" href="#">3</a></li>
                <li class="page-item"><a class="page-link" href="#">4</a></li>
                <li class="page-item"><a class="page-link" href="#">5</a></li>
                <li class="page-item">
                    <a class="page-link" href="#" aria-label="Next">
                        <span aria-hidden="true">&raquo;</span>
                        <span class="sr-only">Next</span>
                    </a>
                </li>
            </ul>
        </nav>
    </div>



